=== debian/changelog ===
ceve (1.4-2) unstable; urgency=low

  * Convert to source format 3.0 (quilt)
  * Standards-Version 3.9.1 (no change)
  * Convert from cdbs to dh, dh_ocaml >= 0.9~ (closes: #599296)
    - bump build-dependency on debhelper to have overrides.
    - bump build-dependency on ocaml to have checksums of ABIs

 -- Ralf Treinen <treinen@debian.org>  Wed, 09 Feb 2011 09:12:52 +0100

ceve (1.4-1) unstable; urgency=low

  * New Upstream Version
  * Standards-Version 3.8.2 (no change)
  * Bump dependency on libdose-ocaml-dev to >= 1.4.2

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Jul 2009 20:04:42 +0200

ceve (1.3.1-1) unstable; urgency=low

  *  New upstream version

 -- Ralf Treinen <treinen@debian.org>  Fri, 22 May 2009 09:00:35 +0200

ceve (1.3-1) unstable; urgency=low

  * New upstream version

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 May 2009 21:12:46 +0200

ceve (1.2.1-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream release
  * Add debian/watch
  * debian/rules: class/ocaml.ml -> rules/ocaml.mk
  * Standards-version 3.8.1 (no change)
  * Build-dependency add dh-ocaml, libdose2 must be >= 1.4-2
  * Add myself to Uploaders

  [ Stefano Zacchiroli ]
  * ship ceve.1 manpage

 -- Ralf Treinen <treinen@debian.org>  Thu, 26 Mar 2009 08:20:45 +0100

ceve (1.1-1) experimental; urgency=low

  * Initial release. (Closes: #484280)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 03 Jun 2008 14:30:29 +0200
