=== debian/control ===
Source: ceve
Section: devel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stefano Zacchiroli <zack@debian.org>,
 Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-ocaml (>= 0.9~),
 ocaml-nox (>= 3.11.1-3~), ocaml-findlib,
 libdose2-ocaml-dev (>= 1.4.2),
 libexpat-ocaml-dev
Standards-Version: 3.9.1
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ceve.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ceve.git

Package: ceve
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: utility to parse package dependencies as set of constraints
 Ceve is a command line utility used to parse package metadata
 information (in particular package interrelationships such as
 dependencies) and convert them to set of constraints that need to
 be satisfied by a proper package installation.
 .
 Supported input formats for package metadata are:
  * .deb packages
  * Debian package lists (i.e. as in Packages.gz)
  * .rpm packages
  * RPM package lists
  * EGraph (XML based format, derived from GraphML)
 .
 Supported output formats for set of constraints are:
  * pretty printed format for human consumption
  * EGraph
  * Dose base, suitable as input for the Pkglab tool
  * Oz (a programming language supporting constraint programming)
  * Graphviz
  * Tart, suitable as input for the Tart media partitioner
