=== debian/rules ===
#!/usr/bin/make -f

OPTCOMPILER=/usr/bin/ocamlopt

%:
	dh $@ --with ocaml

override_dh_auto_build:	
	if [ -x $(OPTCOMPILER) ]; \
		then $(MAKE) opt; \
		else $(MAKE) all; \
        fi

override_dh_auto_install:
	$(MAKE) install BINDIR=debian/ceve/usr/bin

override_dh_strip:
	if [ -x $(OPTCOMPILER) ]; \
		then dh_strip; \
		else dh_strip -X usr/bin/ceve; \
        fi
